Name:           perl-Module-Path
Version:        0.19
Release:        2%{?dist}
Summary:        Get the full path to a locally installed module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Path/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/Module-Path-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Pod::Usage)
# Tests:
BuildRequires:  perl(Devel::FindPerl)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(FindBin) >= 0.05
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This Module::Path Perl module provides a single function, module_path(), which
takes a module name and finds the first directory in your @INC path where the
module is installed locally. It returns the full path to that file, resolving
any symbolic links.

%prep
%setup -q -n Module-Path-%{version}
sed -i -e '1s|^#!.*|#!perl|' bin/mpath

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README TODO.md
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.19-2
- Perl 5.22 rebuild

* Tue Mar 17 2015 Petr Pisar <ppisar@redhat.com> - 0.19-1
- 0.19 bump

* Thu Dec 18 2014 Petr Šabata <contyk@redhat.com> - 0.18-1
- 0.18 bump

* Fri Oct 17 2014 Petr Pisar <ppisar@redhat.com> - 0.15-1
- 0.15 bump

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.14-2
- Perl 5.20 rebuild

* Mon Aug 18 2014 Petr Pisar <ppisar@redhat.com> - 0.14-1
- 0.14 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 05 2014 Petr Pisar <ppisar@redhat.com> 0.13-1
- Specfile autogenerated by cpanspec 1.78.
